import { Component, Prop, h } from '@stencil/core';
export class AccordionContainer {
    render() {
        const classAttributes = ["hy-accordion-container", "js-hy-accordion"];
        const id = this.accordionid.toLowerCase().replace(/\W/g, '-');
        return (h("div", { id: id, class: classAttributes.join(" "), "data-allow-multiple": "true", "data-allow-toggle": "true" },
            h("slot", null)));
    }
    static get is() { return "hy-accordion-container"; }
    static get originalStyleUrls() { return {
        "$": ["accordion-container.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["accordion-container.css"]
    }; }
    static get properties() { return {
        "accordionid": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "accordionid",
            "reflect": false
        }
    }; }
}
